/*Diseñar el algoritmo correspondiente a un programa que:
a) Cree una tabla unidimensional (array) de 15 elementos de tipo entero y nombre 'vector'.
b) Pida 15 datos enteros al usuario y los almacene en la tabla unidimensional.
e) Calcule la suma de los 'N' primeros elementos de la tabla.
d) Muestre el resultado obtenido, así como el contenido de la tabla en pantalla.*/

#include<stdlib.h>
#include<stdio.h>
#include<conio.h>
#define n 15
void main(void)
{
	int vector[n],m,total=0,i;
	
	clrscr();
	for(i=0;i<15;i++)
	{
		printf("Introdzca el n£mero %d de los 15 enteros: ",i+1);
		scanf("%d",&vector[i]);
	}
	printf("Cuantos n£meros de los introducidos quiere sumar: ");
	scanf("%d",&m);
	while(m<0 || m>n)
	{
		printf("\t\tE R R O R\n\n");
		printf("Pulse una tecla para continuar...");
		getch();
		clrscr();
		printf("Introduzca otra cantidad: ");
		scanf("%d",&m);
	}
	for(i=0;i<m;i++)
	{
		total=total+vector[i];
	}
	printf("El total de los primeros %d n£meros sumados es: %d",m,total);
	getch();
}